RUN-PARTS(8)

IME
run-parts - zažene skripte ali programe v mapi

POVZETEK
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

OPIS
run-parts zažene vse najdene izvedljive datoteke v mapi directory poimenovane s spodaj opisanimi omejitvami. Druge datoteke in mape so tiho prezrte. Če nista podani možnost --lsbsysinit ali pa možnost --regex, morajo biti imena sestavljena samo iz ASCII velikih in majhnih črk, številk, podčrtajev in vezajev. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Če je podana možnost --regex, morajo imena ustrezati po meri narejenemu razširjenemu logičnemu izrazu določenemu kot argument te možnosti. Files are run sequentially in the lexical sort order (according to the C/POSIX locale character collation rules) of their names unless the --reverse option is given, in which case they are run in the opposite order. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

MOŽNOSTI

--test
    izpiše imena skript, ki bi se pognale, vendar jih ne zažene.

--list
    print the names of the all matching files (not limited to executables), but don't actually run them. This option cannot be used with --test.

-v, --verbose
    izpiše ime vsake skripte na stderr pred zagonom

--report
    podobno kot --verbose, vendar izpiše le imena skript, ki imajo izhod. Ime skripte se izpiše na stdout ali pa stderr glede na to kje se izpiše prvi izhod skripte.

-d, --debug
    print to stderr which scripts get selected for running and which don't.

--reverse
    obrni vrstni red izvajanja skript

--exit-on-error
    končaj takoj, ko skript vrne ne ničelno izstopno kodo.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    uporabi imenski prostor LSB namesto običajnega obnašanja.

--new-session
    zažene vsako skripto v ločeni seji opravila. Če se ta možnost uporabi, ubitje programa run-parts ne bo ubilo trenutno delujočih skript. Te bodo tekle do zaključka.

--regex=RE
    potrdi veljavnost imen datotek glede na po meri izdelan razširjen logični izraz RE. Glej odstavek PRIMERI za primere.

-u, --umask=umask
    nastavi umask na umask pred poganjanjem skript. umask mora biti določen osmiško. Privzeto je umask nastavljen na 022.

-a, --arg=argument
    podajte argument skripti. Uporabite --arg za vsak argument, ki ga želite podati.

--  poda, da je to konec možnosti. Katerokoli ime datoteke po -- ne bo tolmačeno kot možnost, tudi če se začne z vezajem.

-h, --help
    prikaže podatke o uporabi in konča.

-V, --version
    prikaže različico in avtorske pravice in konča.

PRIMERI
Prikaže imena vseh datotek v /etc, ki se začnejo s `p' in končajo z `d':

run-parts --list --regex '^p.*d$' /etc

AVTORSKE PRAVICE
Avtorske pravice (C) 1994 Ian Jackson.

Avtorske pravice (C) 1996 Jeff Noxon.

Avtorske pravice (C) 1996, 1997, 1998 Guy Maor

Avtorske pravice (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts je prosti program; oglejte si GNU General Public License različica 2 ali kasnejša za pogoje kopiranja. Garancije ni.

TRANSLATION
This document is a translation. Regarding errors such as tihs one, contact <sl@li.org>,